name: hyip_lab
description: A new Flutter project.

publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: '>=3.0.6 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.2
  get: ^4.6.1
  http: ^1.1.0
  flutter_svg: ^2.0.7
  lottie: ^2.6.0
  shared_preferences: ^2.0.13
  flutter_rating_bar: ^4.0.0
  image_picker: ^1.0.4
  file_picker: ^5.2.4
  path_provider: ^2.0.9
  country_picker: ^2.0.11
  intl: ^0.18.1
  pin_code_fields: ^8.0.1
  dio: ^5.3.3
  flutter_widget_from_html_core: ^0.10.5
  qr_code_scanner: ^1.0.0
  dotted_border: ^2.0.0+2
  animated_bottom_navigation_bar: ^1.3.0
  auto_size_text: ^3.0.0
  carousel_slider: ^4.0.0
  # sliding_sheet: ^0.5.2
  qr_flutter: ^4.0.0
  share_plus: ^4.0.1
  syncfusion_flutter_charts: ^23.1.39
  url_launcher: ^6.0.20
  flutter_widget_from_html: ^0.10.5+3
  font_awesome_flutter: ^10.2.1
  shimmer: ^3.0.0
  package_info_plus: ^4.1.0
  simple_animations: ^5.0.2
  firebase_messaging: ^14.6.8
  flutter_local_notifications: ^15.1.1
  firebase_analytics: ^10.5.0
  firebase_core: ^2.15.1
  connectivity_plus: ^4.0.2
  firebase_core_platform_interface: ^4.8.0
  percent_indicator: ^4.2.2
  google_fonts: ^6.1.0
  awesome_dialog: ^3.0.2
  dashed_circular_progress_bar: ^0.0.4
  permission_handler: ^11.0.1
  flutter_inappwebview: ^5.7.2+3


dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.0

flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/images/onboard/
    - assets/images/menu/
    - assets/images/bottom_nav/
    - assets/icons/home_menu_icon/
    - assets/icons/
    - assets/animation/
    - assets/

  fonts:
    - family: Inter
      fonts:
        - asset: assets/fonts/Inter-Regular.ttf

    - family: Lora
      fonts:
        - asset: assets/fonts/Lora-Regular.ttf